curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/paymentInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferredMethod": "ach",
"ach": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Gotham City Bank",
"routingNumber": "000000000",
"accountType": "Checking",
"address": {
"line1": "1234 Elm St",
"line2": "Apt 1A",
"city": "Gotham",
"postalCode": "10001",
"state": "NY",
"countryCode": "US"
}
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Update a person’s payment information
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/paymentInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferredMethod": "ach",
"ach": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Gotham City Bank",
"routingNumber": "000000000",
"accountType": "Checking",
"address": {
"line1": "1234 Elm St",
"line2": "Apt 1A",
"city": "Gotham",
"postalCode": "10001",
"state": "NY",
"countryCode": "US"
}
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the person
Update person payment info request payload
The preferred payment method type
momo, bank, swift, ach, wallet, wire "bank"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Wire transfer payment details
Show child attributes
Successful operation